lab6/urls.py
from django.urls import path
from django.conf.urls import url, include
from django.contrib import admin
from django.contrib.staticfiles.urls import staticfiles_urlpatterns
from lab6 import views


#url for app
urlpatterns = [
		# lab 6
        path('lab-6/', views.content, name='content'),
        path('profile/', views.profil, name='profil'),
        url(r'^add_status/$', views.add_status, name = 'add_status'),
        url(r'^delete_status/$', views.delete_status, name = 'delete_status'),
        # Lab 8
        path('signIn/', views.logIn, name='login'),
        path('buku/', views.books, name='books'),
        path('logout/', views.logout, name = 'logout'),
        # Lab 9
        path('list_books/', views.getJSON, name = 'getJSON'),
        # lab 10
        path('register/', views.reg, name = 'reg'),
        path('add_form/', views.add_form, name = 'add_form'),
        path('validate/', views.validateEmail, name = 'validateEmail'),

        #lab 11
        url(r'^admin/', admin.site.urls),
    	url(r'^auth/', include('social_django.urls', namespace='social')),  # <- Here
    
    	



        # base
        path('', views.content, name='content'),
        
        

        


]

urlpatterns += staticfiles_urlpatterns()

praktikum/urls.py
from django.conf.urls import include
from django.urls import path
from django.contrib import admin
from lab_1.views import index as index_lab1
from biodata.views import index as index
from lab6.views import content as landing_page



urlpatterns = [
    path('admin/', admin.site.urls),
    path('lab-1/', include('lab_1.urls')),
    path('lab-2/', include('lab_2.urls')),
    path('biodata/', include('biodata.urls')),
    path('lab-6/', include('lab6.urls')),
    path('', include('biodata.urls')),
]

lab6/models.py
from django.db import models
from django.utils import timezone
from datetime import datetime, date

# Create your models here.
class Status(models.Model):
	status = models.CharField(max_length=300)
	published_date = models.DateTimeField(default=timezone.now)

# Model Lab 10
class Regist(models.Model):
	nama = models.CharField(max_length=100)
	email = models.CharField(max_length = 100)
	password = models.CharField(max_length = 20)
	

lab6/forms.py
from django import forms

class Status_Form(forms.Form):
	error_messages = {
	'required': 'This field is required.',
	
	}

	attrs = {
	'class': 'form-control'
	}
	status = forms.CharField(label='status', required=True, max_length=300,
	widget=forms.TextInput(attrs=attrs))

class Regist_form(forms.Form):
	error_messages = {
	'required': 'This field is required.',
	
	}

	attrs = {
	'class': 'form-control'
	}
	nama = forms.CharField(
		label='Nama', 
		required=True, 
		max_length=100,
		widget=forms.TextInput(attrs=attrs))

	email = forms.CharField(
		label='E-Mail',
		required=True,
		max_length=100,
		widget=forms.EmailInput(attrs=attrs))

	password = forms.CharField(
		label = 'Password',
		required=True,
		max_length = 20,
		widget = forms.PasswordInput(attrs=attrs))

lab6/views.py
from django.shortcuts import render
from django.http import HttpResponseRedirect, JsonResponse
from django.contrib.auth.models import User
from .forms import Status_Form
from .forms import Regist_form
from .models import Status
from .models import Regist
import json
import requests
from django.contrib.auth import logout as logout_user


# Create your views here.


def content(request):
	all_status = Status.objects.all()
	form = Status_Form
	return render(request, 'landing_page.html', {'Status': all_status, 'form': form})

def profil(request):
	return render(request, 'profil.html', {})

def add_status(request):
	form = Status_Form(request.POST or None)
	if(request.method == 'POST' and form.is_valid()):
		status = request.POST.get('status',False)
		status = Status(status=status)
		status.save()
		html ='landing_page.html'
		return HttpResponseRedirect('/lab-6/')
	else:
		return HttpResponseRedirect('/lab-6/')
	
	
def delete_status(request):
	clear_status = Status.objects.all()
	clear_status.delete()
	html ='landing_page.html'
	return HttpResponseRedirect('/lab-6/')



# def getJSON(request):
# 	jsonbooks = requests.get('https://www.googleapis.com/books/v1/volumes?q=quilting').json()
# 	return JsonResponse(jsonbooks)

# Views buat lab 9
def getJSON(request):
	text = request.GET.get('cari','quilting')
	jsonbooks = requests.get('https://www.googleapis.com/books/v1/volumes?q='+text).json()
	return JsonResponse(jsonbooks)

def books(request):
	return render(request, 'daftar_books.html', {})
# Lab 10
def reg(request):
	html = "lab_10.html"
	return render(request, html)

def validateEmail(request):
	isExist = False
	if 'email' in request.POST:
		count = Regist.objects.filter(email = request.POST['email']).count()
		if count > 0:
			isExist = True
	return JsonResponse({"email_is_exist": isExist}, content_type = 'application/json')
	

def add_form(request):
	if request.method == 'POST':
		name = request.POST['nama']
		email = request.POST['email']
		password = request.POST['password']

		form_regist = Regist.objects.create(
            name = name,
            email = email,
            password = password,
        )     

		form_regist.save()
		
		return HttpResponse('')
	else:
		return HttpResponseRedirect('lab-6/register/')

def logIn(request):
	return render(request, 'startPageBooks.html')

def logout(request):
    logout_user(request)
    return HttpResponseRedirect('/lab-6/signIn/')

lab6/templates/daftar_books.html
{% load static from staticfiles %}	
<!DOCTYPE html>
<html>
<head>
	<title>Daftar Buku HOHOHO</title>
	

	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
	<link rel="stylesheet" type="text/css"  href="{% static "style_daftar_books.css" %}">
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
	<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">

	<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.5.2/jquery.min.js"></script>
	<script src="http://cdnjs.cloudflare.com/ajax/libs/modernizr/2.8.2/modernizr.js"></script>
	
		
</head>
<body>

	

	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
	

	<nav class="navbar navbar-expand-sm  navbar-light  justify-content-center" id="navigasi">
  		<ul class="navbar-nav">
  			<li class="nav-item">
		      <p class="nav-link  text-center menu" href="#">Theme :</a>
		    </li>
		    <li class="nav-item">
		      <a id="btn1" class="nav-link  text-center menu" href="#">Default</a>
		    </li>
		    <li class="nav-item">
		      <a id="btn2" class="nav-link  text-center menu" href="#">Dark</a>
		    </li>
		</ul>
	</nav>
	<div class="g-signin2" data-onsuccess="onSignIn">
		{% if user.is_authenticated %}
           <div class="container-fluid text-center">
           		<p class="display-4">Hello, {{ user.first_name }}</p>
				<a  href="{% url 'logout' %}">
					<button class="btn btn-danger" id="button">Log Out</button>
				</a>
					
           </div>
            

		{% else %}
		     <a href="{% url 'social:begin' 'google-oauth2' %}"><button type="button" class="fb-btn p-2">
					Login with Google
				</button></a><br>
		{% endif %}

	</div>
	
	<div class="container-fluid">
		
		<div class="container-fluid text-center">
			<input class="m-3 form" type="text" id="myInput"  placeholder="Search for names.." title="Type in a name">		
			<input class="m-3 form" type="text" id="myCategory"  placeholder="Search for categories.." title="Type in a name">
			<button class="btn btn-light" id="submit">Submit</button>	
			
		</div>
		
		
		
		<h6 class="mt-2 mb-2">My Favorite : <span id="favorite-count"></span> </h6>
		<table id="list_buku">
			<thead>
			    <tr>
			      <th scope="col">Thumbnail</th>
			      <th scope="col">Title</th>
			      <th scope="col">Author</th>
			      <th scope="col">Published Date</th>
			      <th scope="col">Add to Favorite</th>
			    </tr>
			 </thead>
			 <tbody id="body">
			 	
			 </tbody>


		</table>
	</div>
	

	<script>
		$(document).ready(function(){
		    $("#btn1").click(function(){
		    	$("#navigasi").css({"background-color" : "white"})
		    	$(".menu").css({"color" : "rgba(0,0,0,.5)"});
		    	$("body").css({"background-color" : "white",
		    					"color" : "black"})
		    	$("tr").css({"background-color" : "white",
		    					"color" : "black"})
		    	
		    });
		    $("#btn2").click(function(){
		    	$("#navigasi").css({"background-color" : "#7f8c8d",})
		    	$(".menu").css({"color" : "white"});
		    	$("body").css({"background-color" : "#95a5a6",
		    					"color" : "white"})
		       	$("tr").css({"background-color" : "#95a5a6",
		    					"color" : "white"})

		    });

		    
		});
	</script>
	<script>
		var count = 0;
	    update_favorite();
	    function update_favorite() {
	        $('#favorite-count').text(count);
	    };

	    $(document).on('click', '#fav', function(){
	    	
        if($(this).css("color") == "rgb(0, 0, 0)"){
            count++;
            update_favorite();
            $(this).css("color", "red");
            $(this).css("font-size", "36px");
        }
        else{
	 		count--;
	    	update_favorite();
	    	$(this).css("color", "black");
			$(this).css("font-size", "24px");		    
        }
    });

	$(document).ready(function(){
	  $("#myInput").on("keyup", function() {
	    var value = $(this).val().toLowerCase();
	    $("#list_buku tr").filter(function() {
	      $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
	    });
	  });

	  $("#submit").click(function(){
	  		var x = $('#myCategory').val();
	  		$('.row').remove();
	  		$.ajax({
			url: '/lab-6/list_books/?cari=' + x,
			success: function(result){
				console.log(result);
				var i;
				for(i = 0 ; i < result.items.length; i++){
					var tmp = "<tr class='row'><td class='row'><img src='" + result.items[i].volumeInfo.imageLinks.thumbnail + "'></img></td><td class='row'>" + result.items[i].volumeInfo.title + "</td><td class='row'>" + result.items[i].volumeInfo.authors + "</td><td class='row'>" + result.items[i].volumeInfo.publishedDate + "</td><td class = 'favorite row>"  + "<a  href ='#'>" +"<i class='material-icons' id='fav'>" +"favorite" +"</i>" + "</a>" + "</td></tr>";
					$("#list_buku").append(tmp);
				}
			}
			
		})

	  });
	});

	
	function onSignIn(googleUser) {
	  var profile = googleUser.getBasicProfile();
	  console.log('Name: ' + profile.getName());
	  console.log('Image URL: ' + profile.getImageUrl());
	}


	  
</script>
	
	
	
</body>
</html>

lab6/templates/landing_page.html
{% load staticfiles %}

<!DOCTYPE html>
<html>
<head>
	<title> Lab 6 By Muhammad Arief Darmawan</title>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
	<link rel="stylesheet" type="text/css" href="{% static 'style.css' %}">
</head>


<body>

	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>

	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>

	

	<header>
		{% include "partial/header.html" %}
	</header>

	
	<div class="container">
	<hr/>
	<section name="Hello">
		<h2 class="text-center" id = "halo" class="text-center" style="font-family: 'Montserrat', sans-serif,
		font-size: 40px,
		font-weight: 700">Hello, Apa kabar?</h2>
	</section>
	<hr/>

	<h6 id = "change" style="font-family: 'Montserrat', sans-serif,
		font-size: 40px,
		font-weight: 700">Change Theme
	</h6>

	<button class="accordion text-center">Default</button>
	<div class="panel">
		<p>Tampilan biasa dari sebuah website</p>
		<button id="btn1" class="btn btn-light apply">Apply</button>
	</div>

	<button class="accordion text-center">Dark</button>
	<div class="panel">
		<p>Tampilan web yang gelap</p>
		<button id="btn2" class="btn btn-light apply">Apply</button>	
	</div>

	

	<section name = "form">

		<form  id="form" method="POST" action="{% url 'add_status' %}">
			{% csrf_token %}
			{{ form }}
			<br>
			<button id="submit" type="submit" class="btn btn-default apply">Submit</button>
		</form>

	</section>

	<section name = "hasil_form">
		<div class="container mt-3">
		  <h2>Statusku</h2>
		 {% for status in Status %}
		  <div class="card">
		    <div class="card-body">
		      <h4 class="card-title">{{ status.status }}</h4>
		      <p id="status">{{ status.published_date}}</p>
		    </div>
		  </div>
		  {% endfor %}

		  <form method="post" action="{% url 'delete_status' %}">
			    {% csrf_token %}
			    <br>
			    <br>
			    <input class="btn btn-danger apply" type="submit" value="Delete All">
			</form>
		</div>
	</section>

	</div>
	
	<script>
		$(document).ready(function(){
		    $("#btn1").click(function(){
		    	$("body").css({"background-color" : "white",
		    					"color" : "black"})
		    	$(".accordion").css({"background-color": "#343a40", "color" : "white",
		    							"border": "1px solid white", "border-radius": "0px"});
		        $(".panel").css({"background-color": "white", "color" : "black", "text-align" : "left"});
		        $(".apply").css({"border-radius": "0px"})
		        $("#id_status").css({"border-radius": "0px"})
		        $(".card-title").css({"color": "black"})
		        $("#status").css({"color": "black"})
		        $(".card-body").css({"background-color": "white", "border-radius":"0px"})
		        $(".card").css({"background-color": "white", "border-radius":"0px"})
		    });
		    $("#btn2").click(function(){
		    	$("body").css({"background-color" : "#95a5a6",
		    					"color" : "white"})
		        $(".panel").css({"background-color": "#34495e", "color" : "white", "border-radius": "50px",
		                          "text-align" : "center"});
		        $(".apply").css({"border-radius": "50px"})
		        $(".accordion").css({"background-color": "#2c3e50", "outline": "none", "color" : "white",
		    							"border": "0px", "border-radius": "50px"});
		        $("#id_status").css({"border-radius": "50px"})
		        $(".card-title").css({"color": "white"})
		        $("#status").css({"color": "white"})
		        $(".card-body").css({"background-color": "#7f8c8d", "border-radius":"50px"})
		        $(".card").css({"background-color": "#7f8c8d", "border-radius":"50px"})
		    });

		    $(".accordion").click(function(){
		        var acc = document.getElementsByClassName("accordion");
		        var i;

		        for (i = 0; i < acc.length; i++) {
		          acc[i].addEventListener("click", function() {
		            this.classList.toggle("active");
		            var panel = this.nextElementSibling;
		            if (panel.style.maxHeight){
		              panel.style.maxHeight = null;
		            } else {
		              panel.style.maxHeight = panel.scrollHeight + "px";
		            } 
		          });
		        }
		    });
		});
	</script>
	
</body>
</html>

lab6/templates/profil.html
{% load static from staticfiles %}	
<!DOCTYPE html>
<html>
<head>
	<title>{{ name }}</title>
	

	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
	<link rel="stylesheet" type="text/css"  href="{% static "style.css" %}">
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
	

</head>
<body>

	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>

	<nav class="navbar navbar-expand-sm  navbar-light  justify-content-center" id="navigasi">
  		<ul class="navbar-nav">
  			<li class="nav-item">
		      <p class="nav-link  text-center menu" href="#">Theme :</a>
		    </li>
		    <li class="nav-item">
		      <a id="btn1" class="nav-link  text-center menu" href="#">Default</a>
		    </li>
		    <li class="nav-item">
		      <a id="btn2" class="nav-link  text-center menu" href="#">Dark</a>
		    </li>
		</ul>
	</nav>
	<div class="container-fluid text-center">
			<a href="{% url 'reg' %}" class="menu">
				<i class="fa fa-sign-in" style="color: grey"><span id="register"> Register</span></i>	
			</a>
	</div>

	<div id="home">
		<div class="container"></div>
	</div>
	<div class="container-fluid text-center mt-5 mb-5">
		<p class="text-center" id="nama">{{ name }}</p>	
	</div>

	<div class="container-fluid text-center">
		<div class="text-center mb-3" >
			<img class="rounded-circle img-responsive img-fluid" src="https://files.catbox.moe/7s3fxy.jpg" id="photo"
			style="max-width: 50% ">
		</div>
	</div>
	<br>

	<div class="container-fluid mb-3">

		<button class="accordion text-center">Aktivitas</button>
		<div class="panel">
			<p>Aktivitas saat ini sedang berjuang di semester 3 :))</p>
			
		</div>

		<button class="accordion text-center">Organisasi dan Kepanitiaan</button>
		<div class="panel">
			<div class="list-group">
			  <article class="list">+ BEM Fasilkom 2018</article>
			  <article class="list">+ PMB 2018</article>
			  <article class="list">+ Compfest</article>
			  <article class="list">+ BETIS 2018</article>
			</div>
			
		</div>

		<button class="accordion text-center">Prestasi</button>
		<div class="panel">
			<p>Makan bubur tanpa diaduk</p>
			
		</div>
	</div>
	
	<script>
		$(document).ready(function(){
		    $("#btn1").click(function(){
		    	$("#navigasi").css({"background-color" : "white"})
		    	$(".menu").css({"color" : "rgba(0,0,0,.5)"});
		    	$("body").css({"background-color" : "white",
		    					"color" : "black"})
		    	$(".accordion").css({"background-color": "#343a40", "color" : "white",
		    							"border": "1px solid white", "border-radius": "0px"});
		        $(".panel").css({"background-color": "white", "color" : "black", "text-align" : "left"});
		        $(".apply").css({"border-radius": "0px"})
		        $("#id_status").css({"border-radius": "0px"})
		        $(".card-title").css({"color": "black"})
		        $("#status").css({"color": "black"})
		        $(".card-body").css({"background-color": "white", "border-radius":"0px"})
		        $(".card").css({"background-color": "white", "border-radius":"0px"})
		    });
		    $("#btn2").click(function(){
		    	$("#navigasi").css({"background-color" : "#7f8c8d",})
		    	$(".menu").css({"color" : "white"});
		    	$("body").css({"background-color" : "#95a5a6",
		    					"color" : "white"})
		        $(".panel").css({"background-color": "#34495e", "color" : "white", "border-radius": "50px",
		                          "text-align" : "center"});
		        $(".apply").css({"border-radius": "50px"})
		        $(".accordion").css({"background-color": "#2c3e50", "outline": "none", "color" : "white",
		    							"border": "0px", "border-radius": "50px"});
		        $("#id_status").css({"border-radius": "50px"})
		        $(".card-title").css({"color": "white"})
		        $("#status").css({"color": "white"})
		        $(".card-body").css({"background-color": "#7f8c8d", "border-radius":"50px"})
		        $(".card").css({"background-color": "#7f8c8d", "border-radius":"50px"})

		    });

		    $(".accordion").click(function(){
		        var acc = document.getElementsByClassName("accordion");
		        var i;

		        for (i = 0; i < acc.length; i++) {
		          acc[i].addEventListener("click", function() {
		            this.classList.toggle("active");
		            var panel = this.nextElementSibling;
		            if (panel.style.maxHeight){
		              panel.style.maxHeight = null;
		            } else {
		              panel.style.maxHeight = panel.scrollHeight + "px";
		            } 
		          });
		        }
		    });
		});
	</script>
	

	
</body>
</html>

lab6/templates/startPageBooks.html
{% load static from staticfiles %}	
{%load static%}


<!DOCTYPE html>
<html>
<head>
	<title>Lab_10</title>
	

	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
	<link rel="stylesheet" type="text/css"  href="{% static "style_signIn.css" %}">
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
	<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">

	<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.5.2/jquery.min.js"></script>
	<script src="http://cdnjs.cloudflare.com/ajax/libs/modernizr/2.8.2/modernizr.js"></script>
	
	
	
</head>

<script>
	window.onload = function() {
	startTime();
	startDate();
}

function startTime() {
    var today = new Date();
    var h = today.getHours();
    var m = today.getMinutes();
    m = checkTime(m);
    document.getElementById('time').innerHTML =
    h + " " + m;
    var t = setTimeout(startTime, 500);
}

var monthNames = ["January", "February", "March", "April", "May", "June",
  "July", "August", "September", "October", "November", "December"
];

var d = new Date();
function startDate() {
    var today = new Date();
    var h = today.getDate();
    var m = today.getMinutes();
	 var y = today.getFullYear();
    document.getElementById('date').innerHTML =
    h + " " + monthNames[d.getMonth()] + " " + y;
}
function checkTime(i) {
    if (i < 10) {i = "0" + i};
    return i;
}
</script>
<body>
	<div class="container-fluid text-center p-5">
		<h1 id="head">Please Log-In fisrt</h1>
		<a href="{% url 'social:begin' 'google-oauth2' %}"><button type="button" class="fb-btn p-2">
					Login with Google
		</button></a><br>
		<h1 id="time"></h1>
		<h2 id="date"></h2>

		<div class="wrapper">
			
		</div>
	</div>
	

	
</body>
</html>